std::error_condition(3cxx)

NAME
std::error_condition - error_condition

SYNOPSIS

#include <system_error>

  Public Member Functions

template<typename _ErrorConditionEnum , typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type> error_condition (_ErrorConditionEnum __e) noexcept
error_condition (int __v, const error_category &__cat) noexcept
void assign (int __v, const error_category &__cat) noexcept
const error_category & category () const noexcept
void clear () noexcept
_GLIBCXX_DEFAULT_ABI_TAG string message () const
operator bool () const noexcept
template<typename _ErrorConditionEnum > enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type operator= (_ErrorConditionEnum __e) noexcept
int value () const noexcept

Detailed Description

error_condition

Definition at line 224 of file system_error.

Constructor & Destructor Documentation

  std::error_condition::error_condition () [inline], [noexcept]

Definition at line 226 of file system_error.

  std::error_condition::error_condition (int __v, const error_category & __cat) [inline], [noexcept]

Definition at line 229 of file system_error.

  template<typename _ErrorConditionEnum , typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type> std::error_condition::error_condition (_ErrorConditionEnum __e) [inline], [noexcept]

Definition at line 234 of file system_error.

Member Function Documentation

  void std::error_condition::assign (int __v, const error_category & __cat) [inline], [noexcept]

Definition at line 238 of file system_error.

  const error_category & std::error_condition::category () const [inline], [noexcept]

Definition at line 260 of file system_error.

  void std::error_condition::clear () [inline], [noexcept]

Definition at line 252 of file system_error.

  _GLIBCXX_DEFAULT_ABI_TAG string std::error_condition::message () const [inline]

Definition at line 264 of file system_error.

  std::error_condition::operator bool () const [inline], [explicit], [noexcept]

Definition at line 267 of file system_error.

  template<typename _ErrorConditionEnum > enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type std::error_condition::operator= (_ErrorConditionEnum __e) [inline], [noexcept]

Definition at line 248 of file system_error.

  int std::error_condition::value () const [inline], [noexcept]

Definition at line 257 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.